#include <xtl.h>
//#include <string.h>

#define ONE_MEG	1 * 1024 * 1024
#define EIGHT_MEGABYTES	(8 * 1024 * 1024)

#define uint8  unsigned __int8
#define uint16 unsigned __int16
#define uint32 unsigned __int32
#define uint64 unsigned __int64

#define PAGEFILE   "Z:\\pagefile.dat"

void InitSpritePaging(char *szPageFile, uint32 size, uint32 pageSize, uint16 noFrames);
//int InitSpriteRePaging(/*char *szPageFile,*/ uint32 size/*, uint32 pageSize, uint32 noFrames*/);
void InitPageAndFrameTables(void);
void KillSpritePaging(bool bKeepFile);


uint8 *ReadUBYTEFromROM(uint32 location);
uint8  ReadUBYTEFromROM2(uint32 location);
uint32  ReadUWORDFromROM(uint32 location);
uint32 *ReadUWORDFromROM2(uint32 location);
